from setuptools import setup, find_packages

setup(
    name='sltools',
    version='0.2.0',
    description='S.T.A.L.K.E.R Localization Toolbox',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='HalavicH',
    author_email='HalavicH@gmail.com',
    url='https://github.com/HalavicH/stalker-localization-toolbox',
    license='MIT',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
    ],
    keywords='XML S.T.A.L.K.E.R stalker mods modding game tools translate analysis',
    packages=find_packages(),
    entry_points={
        'console_scripts': [
            'sltools = sltools.slt:main',
        ],
    },
    install_requires=[
        "colorama",
        "chardet",
        "argparse",
        "colorlog",
        "requests",
        "lxml",
        "langdetect",
        "prettytable",
        "rich",
        "rich_argparse",
        "GitPython",
        "setuptools",
        "Flask",
        "flask_CORS",
        "watchdog",
    ],
    include_package_data=True,
    python_requires='>=3.8',
    project_urls={
        'Bug Reports': 'https://github.com/HalavicH/stalker-localization-toolbox/issues/',
        'Source': 'https://github.com/HalavicH/stalker-localization-toolbox/',
        'Documentation': 'https://github.com/HalavicH/stalker-localization-toolbox/wiki',
    },
)
